# Class pyglet.graphics.vertexdomain.IndexedVertexList

    VertexList --+
                 |
                IndexedVertexList

A list of vertices within an IndexedVertexDomain that are indexed. Use IndexedVertexDomain.create to construct this list.

## Methods

| __init__(self, domain, start, count, index_start, index_count)
| draw(self, mode) Draw this vertex list in the given OpenGL mode.
| resize(self, count, index_count) Resize this group.
| delete(self) Delete this group.
VertexDomain | get_domain(self) Get the domain this vertex list belongs to. (Inherited from pyglet.graphics.vertexdomain.VertexList)
int | get_size(self) Get the number of vertices in the list. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| migrate(self, domain) Move this group from its current domain and add to the specified one. (Inherited from pyglet.graphics.vertexdomain.VertexList)

## Properties

| indices Array of index data.
| colors Array of color data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| edge_flags Array of edge flag data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| fog_coords Array of fog coordinate data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| normals Array of normal vector data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| secondary_colors Array of secondary color data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| tex_coords Array of texture coordinate data. (Inherited from pyglet.graphics.vertexdomain.VertexList)
| vertices Array of vertex coordinate data. (Inherited from pyglet.graphics.vertexdomain.VertexList)

## Method Details

### __init__

(Constructor) __init__(self, domain, start, count, index_start, index_count)

Overrides:
  VertexList.__init__

### draw

draw(self, mode)
Draw this vertex list in the given OpenGL mode.

Overrides:
  VertexList.draw

### resize

resize(self, count, index_count)
Resize this group.

Parameters:
  count : int
    New number of vertices in the list.
  index_count : int
    New number of indices in the list.
Overrides:
  VertexList.resize

### delete

delete(self)
Delete this group.

Overrides:
  VertexList.delete

## Property Details

### indices

Array of index data.